Name:          python-stevedore
Version:       1.1.0
Release:       1mamba
Summary:       Manage dynamic plugins for Python applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://stevedore.readthedocs.org
Source:        https://pypi.python.org/packages/source/s/stevedore/stevedore-%{version}.tar.gz
License:       Apache License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n stevedore-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc AUTHORS LICENSE ChangeLog README.rst

%changelog
* Mon Oct 27 2014 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic version update by autodist

* Sat Feb 08 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.14.1-1mamba
- package created using the webbuild interface
